| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Protected Member Functions | Properties | Private Member Functions | Private Attributes | Static Private Attributes | List of all members
IG.Forms.AssemblyInfoControl Class Reference
Inheritance diagram for IG.Forms.AssemblyInfoControl:
[legend]
Collaboration diagram for IG.Forms.AssemblyInfoControl:
[legend]

## Public Member Functions
| AssemblyInfoControl ()
void | RefreshOutput ()
| Refreshed information about the selected assembly (of potential assemblied if multiple assemblies descriptions are allowed) on the output text control. More...

## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Properties
static string | InitialTextOutput`[get]`
| Initial text written on the label that shows the long name of the resource. More...
string | SelectedResource`[get, set]`
bool | MultipleAssembliesAllowed`[get, set]`
| Whether mulltiple assemblies are allowed. More...

## Private Member Functions
void | chkMultipleAssemblies_CheckedChanged (object sender, EventArgs e)
void | btnRefreshOutput_Click (object sender, EventArgs e)
void | btnClear_Click (object sender, EventArgs e)
void | assemblySelector1_AssemblySelected (object sender, EventArgs e)
void | assemblySelector1_SelectionParametersChanged (object sender, EventArgs e)
void | txtOutput_DragEnter (object sender, DragEventArgs e)
void | txtOutput_DragDrop (object sender, DragEventArgs e)
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Private Attributes
string | _selectedResource = null
bool | _multipleAssembliesAllowed = false
System.ComponentModel.IContainer | components = null
| Required designer variable. More...
AssemblySelector | assemblySelector1
System.Windows.Forms.Label | lblResources
System.Windows.Forms.CheckBox | chkMultipleAssemblies
System.Windows.Forms.Button | btnRefreshOutput
System.Windows.Forms.Button | btnClear
System.Windows.Forms.TextBox | txtOutput

## Static Private Attributes
static string | _initialTextOutpput

## Constructor & Destructor Documentation

IG.Forms.AssemblyInfoControl.AssemblyInfoControl | ( |  | ) |
| inline

## Member Function Documentation

void IG.Forms.AssemblyInfoControl.RefreshOutput | ( |  | ) |
| inline

Refreshed information about the selected assembly (of potential assemblied if multiple assemblies descriptions are allowed) on the output text control.

References IG.Lib.UtilSystem.GetAssemblyInfo().

void IG.Forms.AssemblyInfoControl.chkMultipleAssemblies_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.AssemblyInfoControl.btnRefreshOutput_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.AssemblyInfoControl.btnClear_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.AssemblyInfoControl.assemblySelector1_AssemblySelected | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.AssemblyInfoControl.assemblySelector1_SelectionParametersChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.AssemblyInfoControl.txtOutput_DragEnter | ( | object | sender,
|  | DragEventArgs | e
| ) |  |
| inline private

void IG.Forms.AssemblyInfoControl.txtOutput_DragDrop | ( | object | sender,
|  | DragEventArgs | e
| ) |  |
| inline private

override void IG.Forms.AssemblyInfoControl.Dispose | ( | bool | disposing | ) |
| inline protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

void IG.Forms.AssemblyInfoControl.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

string IG.Forms.AssemblyInfoControl._initialTextOutpput
| static private

Initial value:
=
@"<< Select an assembly to view its information! >>
<< You can drag & drop assembly files into this area. >>
<< Press ""Refresh"" if necessary. >>"

string IG.Forms.AssemblyInfoControl._selectedResource = null
| private

bool IG.Forms.AssemblyInfoControl._multipleAssembliesAllowed = false
| private

System.ComponentModel.IContainer IG.Forms.AssemblyInfoControl.components = null
| private

Required designer variable.

AssemblySelector IG.Forms.AssemblyInfoControl.assemblySelector1
| private

System.Windows.Forms.Label IG.Forms.AssemblyInfoControl.lblResources
| private

System.Windows.Forms.CheckBox IG.Forms.AssemblyInfoControl.chkMultipleAssemblies
| private

System.Windows.Forms.Button IG.Forms.AssemblyInfoControl.btnRefreshOutput
| private

System.Windows.Forms.Button IG.Forms.AssemblyInfoControl.btnClear
| private

System.Windows.Forms.TextBox IG.Forms.AssemblyInfoControl.txtOutput
| private

## Property Documentation

string IG.Forms.AssemblyInfoControl.InitialTextOutput
| static get

Initial text written on the label that shows the long name of the resource.

string IG.Forms.AssemblyInfoControl.SelectedResource
| get set private

bool IG.Forms.AssemblyInfoControl.MultipleAssembliesAllowed
| get set

Whether mulltiple assemblies are allowed.

The documentation for this class was generated from the following files:

- igforms/Utilities/Viewers/AssemblyInfoControl.cs
- igforms/Utilities/Viewers/AssemblyInfoControl.Designer.cs